Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 123690 - net-analyzer/nagios-core-1.3 USE-Flag mysql sets file-perfdata
Summary: net-analyzer/nagios-core-1.3 USE-Flag mysql sets file-perfdata
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 172480
  Show dependency tree
 
Reported: 2006-02-22 02:26 UTC by Rafael Kolless
Modified: 2007-04-12 09:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Grapher with experimental patches (nagios-grapher_r2.tar.bz2,8.01 KB, application/octet-stream)
2006-11-21 00:55 UTC, mikael lammentausta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Kolless 2006-02-22 02:26:32 UTC
After my update to nagios-core 1.3 Nagios does not execute the service_perfdata_command anymore.

In the ebuild I found that if the USE-Flag mysql is set the config-parameter --with-file-perfdata is used. This disables the use of external perfdata commands.

-----------
use mysql && myconf="${myconf} \
        --with-file-perfdata \
-----------

Could you please remove this entry or create a seperate USE-Flag?

Best regards
Comment 1 Lance Albertson (RETIRED) gentoo-dev 2006-07-04 12:28:05 UTC
You still needing this fixed since 2.x is released? If so, how would you like it fixed? Does it really need another local use flag?
Comment 2 Rafael Kolless 2006-08-24 23:45:24 UTC
sorry for the delayed answer.

Currently we use the external perfdata command to push the perfdata to an external database in realtime.

We keep the branch 1.x here because the database support was dropped in the release 2.0.

Why do you disable the external perdata command with the mysql useflag?

Cheers

Rafael
Comment 3 mikael lammentausta 2006-11-21 00:55:43 UTC
Created attachment 102448 [details]
Grapher with experimental patches
Comment 4 mikael lammentausta 2006-11-21 00:59:35 UTC
Sorry, wrong bug (see previous)